changeset 15:981eb8c3a756 default tip

Uploaded
author davidmurphy
date Sat, 31 Mar 2012 16:07:07 -0400
parents 778f03497adb
children
files Codonlogo.xml build_test.sh corebio/__init__.pyc corebio/_future/__init__.pyc corebio/_future/subprocess.pyc corebio/_version.pyc corebio/data.pyc corebio/moremath.pyc corebio/seq.pyc corebio/seq_io/__init__.pyc corebio/seq_io/_nexus/Nodes.pyc corebio/seq_io/_nexus/Trees.pyc corebio/seq_io/_nexus/__init__.pyc corebio/seq_io/array_io.pyc corebio/seq_io/clustal_io.pyc corebio/seq_io/fasta_io.pyc corebio/seq_io/genbank_io.pyc corebio/seq_io/intelligenetics_io.pyc corebio/seq_io/msf_io.pyc corebio/seq_io/nbrf_io.pyc corebio/seq_io/nexus_io.pyc corebio/seq_io/phylip_io.pyc corebio/seq_io/plain_io.pyc corebio/seq_io/stockholm_io.pyc corebio/seq_io/table_io.pyc corebio/utils/__init__.pyc corebio/utils/_which.pyc corebio/utils/deoptparse.pyc examples/Galaxy-Workflow-Figure(1).ga examples/Galaxy-Workflow-make6.ga weblogolib/__init__.pyc weblogolib/color.pyc weblogolib/colorscheme.pyc
diffstat 33 files changed, 250 insertions(+), 176 deletions(-) [+]
line wrap: on
line diff
--- a/Codonlogo.xml	Fri Feb 24 11:37:26 2012 -0500
+++ b/Codonlogo.xml	Sat Mar 31 16:07:07 2012 -0400
@@ -1,8 +1,12 @@
 <tool id="codonlogo" name="Codon Logo" version="3">
   <description>generator for fasta (eg Clustal alignments)</description>
   <command interpreter="python -W ignore::DeprecationWarning"> 
-    codonlogo -F $outformat -s $size -f $input -o $output -t "$logoname" -m $frame -n $stacks -X $showxaxis --show-yaxis $showyaxis --errorbars $errorbars -G $strict --fineprint "$fineprint" --stack-width $stackwidth --stack-height $stackheight --box $box --resolution $resolution --scale-width $scalewidth
-
+    codonlogo -F $outformat -s $size -f $input -o $output -m $frame -n $stacks -X $showxaxis --show-yaxis $showyaxis --errorbars $errorbars -G $strict --fineprint "$fineprint" --stack-width $stackwidth --stack-height $stackheight --box $box --resolution $resolution --scale-width $scalewidth
+   
+    #if str($logoname) != ''
+    -t "$logoname"
+    #end if
+    
     #if str($ylabel) != ''
     -x "$xlabel" 
     #end if
@@ -332,7 +336,7 @@
   </command>
   <inputs>
     <page>
-      <param format="text" name="input" type="data" label="Input file.(must be an aligned fasta file of sequences the same length, recommended to use sequences aligned by codon)" />
+      <param format="text" name="input" type="data" label="Input file."  help="must be an aligned fasta file of sequences the same length, recommended to use sequences aligned by codon" />
       
       <param name="logoname" label="Title for output Sequence Logo" type="text" size="50" value="" />
       
@@ -346,7 +350,7 @@
     </param>
     <param name="resolution" size="5" type="integer" value="96" label="Bitmap resolution in dots per inch (DPI).For high quality printable PNG this should be set to 600" />
 
-    <param name="frame" type="select" label="Frame to view the alignment. If reverse complement is selected then codonlogo will read from the last symbol in the sequences backwards and replace each base with it's complement." >
+    <param name="frame" type="select" label="Frame to view the alignment."  help="If reverse complement is selected then codonlogo will read from the last symbol in the sequences backwards and replace each base with it's complement." >
       <option value="0" selected="True">0</option>
       <option value="1">+1</option>
       <option value="2">+2</option>
@@ -409,7 +413,7 @@
         <option value="Homosapiens" >Human</option>
         <option value="Saccharomycescerevisiae" >Yeast</option>
         <option value="Escherichiacoli" >E.Coli</option>
-        <option value="From File">from file</option>
+        <option value="file">from file</option>
         
       </param>
       <when value="auto">
@@ -419,12 +423,12 @@
       <when value="none">
       </when>
       <when value="file">    
-        <param format="txt" name="compfile" type="data" label="File containing the expected composition of the sequence. expected: a file with 64 codons followed by their probability. it must have 64 lines and each line must have a codon followed by a space followed by a weigt." />
+        <param format="txt" name="compfile" type="data" label="File containing the expected composition of the sequence. "  help="expected: a file with 64 codons followed by their probability. it must have 64 lines and each line must have a codon followed by a space followed by a weight." />
       </when>
       
     </conditional>
     <conditional name="colours">
-      <param name="colour" type="select" label="Choose colours?(it is not required to set values for all of them. Colors can be specified using CSS2 syntax. e.g. 'red', '#FF0000', etc. )">
+      <param name="colour" type="select" label="Choose colours?"  help="it is not required to set values for all of them. Colors can be specified using CSS2 syntax. e.g. 'red', '#FF0000', etc.">
         <option value="no" selected="true">Default colours</option>
         <option value="part">Set your own.</option>
       </param>
--- a/build_test.sh	Fri Feb 24 11:37:26 2012 -0500
+++ b/build_test.sh	Sat Mar 31 16:07:07 2012 -0400
@@ -1,110 +1,110 @@
 
 mkdir -p tmp
 
-echo "# Test weblogo by building logos with many different options."
+echo "# Test codonlogo by building logos with many different options."
 
 echo -ne '.'
-./weblogo  < cap.fa > tmp/logo0.eps ||exit
+./codonlogo  < cap.fa > tmp/logo0.eps ||exit
 
 echo -ne '.'
-./weblogo --title "Default Logo with Title" < cap.fa > tmp/logo1.eps ||exit
+./codonlogo --title "Default Logo with Title" < cap.fa > tmp/logo1.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Default Logo with this fineprint and debug on" < cap.fa > tmp/logo2.eps ||exit
+./codonlogo --debug yes --fineprint "Default Logo with this fineprint and debug on" < cap.fa > tmp/logo2.eps ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "--debug no"   --debug no < cap.fa > tmp/logo3.eps ||exit
+./codonlogo --debug no  --fineprint "--debug no"   --debug no < cap.fa > tmp/logo3.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "" --title "No fine print" --debug yes < cap.fa > tmp/logo4.eps ||exit
+./codonlogo --debug yes --fineprint "" --title "No fine print" --debug yes < cap.fa > tmp/logo4.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "No title" --title "" < cap.fa > tmp/logo5.eps ||exit
+./codonlogo --debug yes --fineprint "No title" --title "" < cap.fa > tmp/logo5.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "--first-index -10" --first-index -10 < cap.fa > tmp/logo6.eps ||exit
+./codonlogo --debug yes --fineprint "--first-index -10" --first-index -10 < cap.fa > tmp/logo6.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint " --first-index -10 --stacks-per-line 11 " --first-index -10 --stacks-per-line 11 < cap.fa > tmp/logo7a.eps ||exit
+./codonlogo --debug yes --fineprint " --first-index -10 --stacks-per-line 11 " --first-index -10 --stacks-per-line 11 < cap.fa > tmp/logo7a.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint " --first-index -10 --stacks-per-line 8 " --first-index -10 --stacks-per-line 8 < cap.fa > tmp/logo7b.eps ||exit
+./codonlogo --debug yes --fineprint " --first-index -10 --stacks-per-line 8 " --first-index -10 --stacks-per-line 8 < cap.fa > tmp/logo7b.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint " --first-index -10 --stacks-per-line 7 " --first-index -10 --stacks-per-line 7 < cap.fa > tmp/logo7c.eps ||exit
+./codonlogo --debug yes --fineprint " --first-index -10 --stacks-per-line 7 " --first-index -10 --stacks-per-line 7 < cap.fa > tmp/logo7c.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Test fin and fout" --fin cap.fa  --fout logo8.eps ||exit
+./codonlogo --debug yes --fineprint "Test fin and fout" --fin cap.fa  --fout logo8.eps ||exit
 
 # Test Y Axis
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Custom yaxis label " --ylabel 'yaxis label' < cap.fa > tmp/logo9a.eps ||exit
+./codonlogo --debug yes --fineprint "Custom yaxis label " --ylabel 'yaxis label' < cap.fa > tmp/logo9a.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Custom units" --units 'nats' < cap.fa > tmp/logo9b.eps ||exit
+./codonlogo --debug yes --fineprint "Custom units" --units 'nats' < cap.fa > tmp/logo9b.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Override custom units with custom yaxis label."  --ylabel 'yaxis label' --units nats < cap.fa > tmp/logo9c.eps ||exit
+./codonlogo --debug yes --fineprint "Override custom units with custom yaxis label."  --ylabel 'yaxis label' --units nats < cap.fa > tmp/logo9c.eps ||exit
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "Empty ylabel"  --ylabel '' < cap.fa > tmp/logo9d.eps
+./codonlogo --debug yes --fineprint "Empty ylabel"  --ylabel '' < cap.fa > tmp/logo9d.eps
 
 echo -ne '.'
-./weblogo --debug yes --fineprint "No Yaxis"  --show-yaxis no  < cap.fa > tmp/logo9e.eps ||exit
+./codonlogo --debug yes --fineprint "No Yaxis"  --show-yaxis no  < cap.fa > tmp/logo9e.eps ||exit
 
 # Test X Axis
 
 echo -ne '.'
-./weblogo --debug yes --format pdf --fineprint "Custom xaxis label " --xlabel 'xaxis label' < cap.fa > tmp/logo10a.pdf ||exit
+./codonlogo --debug yes --format pdf --fineprint "Custom xaxis label " --xlabel 'xaxis label' < cap.fa > tmp/logo10a.pdf ||exit
 
 echo -ne '.'
-./weblogo --debug yes --format pdf --fineprint "Empty xlabel"  --xlabel '' < cap.fa > tmp/logo10b.pdf ||exit
+./codonlogo --debug yes --format pdf --fineprint "Empty xlabel"  --xlabel '' < cap.fa > tmp/logo10b.pdf ||exit
 
 echo -ne '.'
-./weblogo --debug yes --format pdf --fineprint "No Xaxis"  --show-xaxis no  < cap.fa > tmp/logo10c.pdf ||exit
+./codonlogo --debug yes --format pdf --fineprint "No Xaxis"  --show-xaxis no  < cap.fa > tmp/logo10c.pdf ||exit
 
 echo -ne '.'
-./weblogo --debug yes --format pdf --fineprint "No Xaxis, custom label"  --xlabel "Custom xlabel" --show-xaxis no  < cap.fa > tmp/logo10d.pdf ||exit
+./codonlogo --debug yes --format pdf --fineprint "No Xaxis, custom label"  --xlabel "Custom xlabel" --show-xaxis no  < cap.fa > tmp/logo10d.pdf ||exit
 
 # Test Formats
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: eps" --format eps < cap.fa > tmp/logo11a.eps ||exit
+./codonlogo --debug no  --fineprint "Format: eps" --format eps < cap.fa > tmp/logo11a.eps ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: png" --size large --format png < cap.fa > tmp/logo11b.png ||exit
+./codonlogo --debug no  --fineprint "Format: png" --size large --format png < cap.fa > tmp/logo11b.png ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: png high res" --format png_print < cap.fa > tmp/logo11c.png ||exit
+./codonlogo --debug no  --fineprint "Format: png high res" --format png_print < cap.fa > tmp/logo11c.png ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: pdf" --format pdf < cap.fa > tmp/logo11d.pdf ||exit
+./codonlogo --debug no  --fineprint "Format: pdf" --format pdf < cap.fa > tmp/logo11d.pdf ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: jpeg" --size large --format jpeg < cap.fa > tmp/logo11e.jpeg ||exit
+./codonlogo --debug no  --fineprint "Format: jpeg" --size large --format jpeg < cap.fa > tmp/logo11e.jpeg ||exit
 
 echo -ne '.'
-./weblogo --debug no  --fineprint "Format: EPS" --format EPS < cap.fa > tmp/logo11f.eps ||exit
+./codonlogo --debug no  --fineprint "Format: EPS" --format EPS < cap.fa > tmp/logo11f.eps ||exit
 
 # Test Sizes
 
 echo -ne '.'
-./weblogo --debug no  --format png_print --fineprint "default size" < cap.fa > tmp/logo12_default.png ||exit
+./codonlogo --debug no  --format png_print --fineprint "default size" < cap.fa > tmp/logo12_default.png ||exit
 
 echo -ne '.'
-./weblogo --debug no  --format png_print --fineprint "--size large" --size large < cap.fa > tmp/logo12_large.png ||exit
+./codonlogo --debug no  --format png_print --fineprint "--size large" --size large < cap.fa > tmp/logo12_large.png ||exit
 
 echo -ne '.'
-./weblogo --debug no  --format png_print --fineprint "--size medium" --size medium < cap.fa > tmp/logo12_medium.png ||exit
+./codonlogo --debug no  --format png_print --fineprint "--size medium" --size medium < cap.fa > tmp/logo12_medium.png ||exit
 
 echo -ne '.'
-./weblogo --debug no  --format png_print --fineprint "--size small" --size small < cap.fa > tmp/logo12_small.png ||exit
+./codonlogo --debug no  --format png_print --fineprint "--size small" --size small < cap.fa > tmp/logo12_small.png ||exit
 
 
 
 echo -ne '.'
-./weblogo --format pdf --fineprint ""  > tmp/logo13.pdf << LimitString
+./codonlogo --format pdf --fineprint ""  > tmp/logo13.pdf << LimitString
 >
 GTTGTTGTTGTT
 >
@@ -120,25 +120,7 @@
 
 # Test unit options
 echo -ne '.'
-./weblogo --format pdf --fineprint "probability" --unit probability  > tmp/logo14a.pdf < cap.fa ||exit
-
-echo -ne '.'
-./weblogo --format pdf --fineprint "bits" --unit bits  > tmp/logo14b.pdf < cap.fa ||exit
-
-echo -ne '.'
-./weblogo --format pdf --fineprint "nats" --unit nats  > tmp/logo14c.pdf < cap.fa ||exit
-
-echo -ne '.'
-./weblogo --format pdf --fineprint "kJ/mol" --unit kJ/mol \
-     > tmp/logo14d.pdf < cap.fa ||exit
-
-echo -ne '.'
-./weblogo --format pdf --fineprint "kT" --unit kT  \
-    > tmp/logo14e.pdf < cap.fa ||exit
-
-echo -ne '.'
-./weblogo --format pdf --fineprint "kcal/mol" --unit kcal/mol \
-    > tmp/logo14f.pdf < cap.fa || exit
+./codonlogo --format pdf --fineprint "probability" --unit probability  > tmp/logo14a.pdf < cap.fa ||exit
 
 
 
@@ -146,3 +128,4 @@
 
 
 
+
Binary file corebio/__init__.pyc has changed
Binary file corebio/_future/__init__.pyc has changed
Binary file corebio/_future/subprocess.pyc has changed
Binary file corebio/_version.pyc has changed
Binary file corebio/data.pyc has changed
Binary file corebio/moremath.pyc has changed
Binary file corebio/seq.pyc has changed
Binary file corebio/seq_io/__init__.pyc has changed
Binary file corebio/seq_io/_nexus/Nodes.pyc has changed
Binary file corebio/seq_io/_nexus/Trees.pyc has changed
Binary file corebio/seq_io/_nexus/__init__.pyc has changed
Binary file corebio/seq_io/array_io.pyc has changed
Binary file corebio/seq_io/clustal_io.pyc has changed
Binary file corebio/seq_io/fasta_io.pyc has changed
Binary file corebio/seq_io/genbank_io.pyc has changed
Binary file corebio/seq_io/intelligenetics_io.pyc has changed
Binary file corebio/seq_io/msf_io.pyc has changed
Binary file corebio/seq_io/nbrf_io.pyc has changed
Binary file corebio/seq_io/nexus_io.pyc has changed
Binary file corebio/seq_io/phylip_io.pyc has changed
Binary file corebio/seq_io/plain_io.pyc has changed
Binary file corebio/seq_io/stockholm_io.pyc has changed
Binary file corebio/seq_io/table_io.pyc has changed
Binary file corebio/utils/__init__.pyc has changed
Binary file corebio/utils/_which.pyc has changed
Binary file corebio/utils/deoptparse.pyc has changed
--- a/examples/Galaxy-Workflow-Figure(1).ga	Fri Feb 24 11:37:26 2012 -0500
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,118 +0,0 @@
-{
-    "a_galaxy_workflow": "true", 
-    "annotation": "Generates part B", 
-    "format-version": "0.1", 
-    "name": "Figure", 
-    "steps": {
-        "0": {
-            "annotation": "", 
-            "id": 0, 
-            "input_connections": {}, 
-            "inputs": [
-                {
-                    "description": "", 
-                    "name": "Input Dataset"
-                }
-            ], 
-            "name": "Input dataset", 
-            "outputs": [], 
-            "position": {
-                "left": 197, 
-                "top": 384
-            }, 
-            "tool_errors": null, 
-            "tool_id": null, 
-            "tool_state": "{\"name\": \"Input Dataset\"}", 
-            "tool_version": null, 
-            "type": "data_input", 
-            "user_outputs": []
-        }, 
-        "1": {
-            "annotation": "", 
-            "id": 1, 
-            "input_connections": {
-                "input": {
-                    "id": 0, 
-                    "output_name": "output"
-                }
-            }, 
-            "inputs": [], 
-            "name": "Codon Logo", 
-            "outputs": [
-                {
-                    "name": "output", 
-                    "type": "pdf"
-                }
-            ], 
-            "position": {
-                "left": 580, 
-                "top": 228
-            }, 
-            "post_job_actions": {}, 
-            "tool_errors": null, 
-            "tool_id": "codonlogo", 
-            "tool_state": "{\"outformat\": \"\\\"pdf\\\"\", \"frame\": \"\\\"0\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"0 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"equiprobable\\\", \\\"__current_case__\\\": 1}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"\\\"\", \"range\": \"{\\\"seqend\\\": \\\"16\\\", \\\"mode\\\": \\\"part\\\", \\\"__current_case__\\\": 1, \\\"seqstart\\\": \\\"6\\\"}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
-            "tool_version": "3", 
-            "type": "tool", 
-            "user_outputs": []
-        }, 
-        "2": {
-            "annotation": "", 
-            "id": 2, 
-            "input_connections": {
-                "input": {
-                    "id": 0, 
-                    "output_name": "output"
-                }
-            }, 
-            "inputs": [], 
-            "name": "Codon Logo", 
-            "outputs": [
-                {
-                    "name": "output", 
-                    "type": "pdf"
-                }
-            ], 
-            "position": {
-                "left": 580, 
-                "top": 360
-            }, 
-            "post_job_actions": {}, 
-            "tool_errors": null, 
-            "tool_id": "codonlogo", 
-            "tool_state": "{\"outformat\": \"\\\"pdf\\\"\", \"frame\": \"\\\"1\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"+1 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"equiprobable\\\", \\\"__current_case__\\\": 1}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"\\\"\", \"range\": \"{\\\"seqend\\\": \\\"16\\\", \\\"mode\\\": \\\"part\\\", \\\"__current_case__\\\": 1, \\\"seqstart\\\": \\\"6\\\"}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
-            "tool_version": "3", 
-            "type": "tool", 
-            "user_outputs": []
-        }, 
-        "3": {
-            "annotation": "", 
-            "id": 3, 
-            "input_connections": {
-                "input": {
-                    "id": 0, 
-                    "output_name": "output"
-                }
-            }, 
-            "inputs": [], 
-            "name": "Codon Logo", 
-            "outputs": [
-                {
-                    "name": "output", 
-                    "type": "pdf"
-                }
-            ], 
-            "position": {
-                "left": 580, 
-                "top": 493
-            }, 
-            "post_job_actions": {}, 
-            "tool_errors": null, 
-            "tool_id": "codonlogo", 
-            "tool_state": "{\"outformat\": \"\\\"pdf\\\"\", \"frame\": \"\\\"2\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"+2 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"equiprobable\\\", \\\"__current_case__\\\": 1}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"\\\"\", \"range\": \"{\\\"seqend\\\": \\\"16\\\", \\\"mode\\\": \\\"part\\\", \\\"__current_case__\\\": 1, \\\"seqstart\\\": \\\"6\\\"}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
-            "tool_version": "3", 
-            "type": "tool", 
-            "user_outputs": []
-        }
-    }
-}
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/Galaxy-Workflow-make6.ga	Sat Mar 31 16:07:07 2012 -0400
@@ -0,0 +1,205 @@
+{
+    "a_galaxy_workflow": "true", 
+    "annotation": "Creates 6 codon logos, one for each frame and one for each frame of the reverse complement.", 
+    "format-version": "0.1", 
+    "name": "make6", 
+    "steps": {
+        "0": {
+            "annotation": "", 
+            "id": 0, 
+            "input_connections": {}, 
+            "inputs": [
+                {
+                    "description": "", 
+                    "name": "Input Dataset"
+                }
+            ], 
+            "name": "Input dataset", 
+            "outputs": [], 
+            "position": {
+                "left": 148, 
+                "top": 194.5
+            }, 
+            "tool_errors": null, 
+            "tool_id": null, 
+            "tool_state": "{\"name\": \"Input Dataset\"}", 
+            "tool_version": null, 
+            "type": "data_input", 
+            "user_outputs": []
+        }, 
+        "1": {
+            "annotation": "", 
+            "id": 1, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 555.5, 
+                "top": 200
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"0\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"0 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }, 
+        "2": {
+            "annotation": "", 
+            "id": 2, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 555.5, 
+                "top": 281
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"1\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"+1 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }, 
+        "3": {
+            "annotation": "", 
+            "id": 3, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 550.5, 
+                "top": 362
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"2\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"-1 Frame\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }, 
+        "4": {
+            "annotation": "", 
+            "id": 4, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 552.5, 
+                "top": 452
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"3\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"0 Frame Reverse Complement\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }, 
+        "5": {
+            "annotation": "", 
+            "id": 5, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 550.5, 
+                "top": 549
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"4\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"+1 Frame Reverse Complement\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }, 
+        "6": {
+            "annotation": "", 
+            "id": 6, 
+            "input_connections": {
+                "input": {
+                    "id": 0, 
+                    "output_name": "output"
+                }
+            }, 
+            "inputs": [], 
+            "name": "Codon Logo", 
+            "outputs": [
+                {
+                    "name": "output", 
+                    "type": "pdf"
+                }
+            ], 
+            "position": {
+                "left": 548.5, 
+                "top": 644
+            }, 
+            "post_job_actions": {}, 
+            "tool_errors": null, 
+            "tool_id": "codonlogo", 
+            "tool_state": "{\"outformat\": \"\\\"png\\\"\", \"frame\": \"\\\"5\\\"\", \"size\": \"\\\"large\\\"\", \"__page__\": 0, \"colours\": \"{\\\"colour\\\": \\\"no\\\", \\\"__current_case__\\\": 0}\", \"strict\": \"\\\"False\\\"\", \"logoname\": \"\\\"-1 Frame Reverse Complement\\\"\", \"ylabel\": \"\\\"\\\"\", \"input\": \"null\", \"stackheight\": \"\\\"100\\\"\", \"scalewidth\": \"\\\"True\\\"\", \"showyaxis\": \"\\\"True\\\"\", \"comp\": \"{\\\"mode\\\": \\\"none\\\", \\\"__current_case__\\\": 2}\", \"showxaxis\": \"\\\"True\\\"\", \"stackwidth\": \"\\\"40.0\\\"\", \"box\": \"\\\"False\\\"\", \"fineprint\": \"\\\"CodonLogo 1.1\\\"\", \"range\": \"{\\\"mode\\\": \\\"complete\\\", \\\"__current_case__\\\": 0}\", \"xlabel\": \"\\\"\\\"\", \"errorbars\": \"\\\"True\\\"\", \"resolution\": \"\\\"96\\\"\", \"stacks\": \"\\\"20\\\"\"}", 
+            "tool_version": "3", 
+            "type": "tool", 
+            "user_outputs": []
+        }
+    }
+}
\ No newline at end of file
Binary file weblogolib/__init__.pyc has changed
Binary file weblogolib/color.pyc has changed
Binary file weblogolib/colorscheme.pyc has changed